package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonManagedReference;

@Entity
@Table(name = "excel_maint_entity")
public class ExcelMaintEntity implements Serializable {

/*	Table: maint_entity
	-----------------------

	Column Information
	----------------------

	Field                     Type          Collation          Null    Key     Default  Extra   Privileges                       Comment  
	------------------------  ------------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
	legal_entity_code         int(2)        (NULL)             NO      PRI     (NULL)           select,insert,update,references           
	level_code                varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	parent_unit_code          varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	unit_code                 varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)           select,insert,update,references           
	unit_name                 varchar(50)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	address1                  varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	address2                  varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	address3                  varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	city                      varchar(10)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	pincode                   int(6)        (NULL)             YES             (NULL)           select,insert,update,references           
	district                  varchar(10)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	state                     varchar(10)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	country                   varchar(3)    latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	contact_person            varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	landline1                 varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	landline2                 varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	mobile1                   varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	mobile2                   varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	mailid                    varchar(254)  latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	u_criticality             varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	unit_type                 varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	classification			  varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references
	weekly_holiday            varchar(25)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	fortnightly_holiday       varchar(25)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	unit_open_date            timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	unit_head_user            varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	unit_head_inception_date  timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	auth_rej_remarks          varchar(200)  latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	status                    varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	entity_status             varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	maker                     varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	maker_timestamp           timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	checker                   varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	checker_timestamp         timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	businessdate_timestamp    timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	sysdate_timestamp         timestamp   */

	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;

	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name = "level_code")
	private String levelCode;
	
	@Column(name = "parent_unit_code")
	private String parentUnitCode;
	
	@Column(name = "unit_code")
    private String unitCode;
	
	@Column(name = "unit_name")
	private String unitName;

	@Column(name="address1")
	private String address1;

	@Column(name="address2")
	private String address2;

	@Column(name="address3")
	private String address3;
	
	@Column(name="city")
	private String city;
	
	@Column(name="pincode")
	private Integer pincode;

	@Column(name="district")
	private String district;

	@Column(name="state")
	private String state;

	@Column(name="country")
	private String country;

	@Column(name="contact_person")
	private String contactPerson;

	@Column(name="landline1")
	private String landline1;

	@Column(name="landline2")
	private String landline2;

	@Column(name="mobile1")
	private String mobile1;

	@Column(name="mobile2")
	private String mobile2;

	@Column(name="mailid")
	private String mailid;

	@Column(name="u_criticality")
	private String uCriticality;

	@Column(name="unit_type")
	private String unitType;
	
	@Column(name="classification")
	private String classification;
	
	@Column(name="type_of_entity")
	private String typeOfEntity;

	@Column(name="weekly_holiday")
	private String weeklyHoliday;
	
	@Column(name="fortnightly_holiday")
	private String fortnightlyHoliday;

	@Column(name="unit_open_date")
	private Date unitOpenDate;

	@Column(name="unit_head_user")
	private String unitHeadUser;

	@Column(name="unit_head_inception_date")
	private Date unitHeadInceptionDate;
	
	@Column(name = "status")
	private String status;

	@Column(name = "entity_status")
	private String entityStatus;
	
	@Column(name = "error")
	private String error;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getLevelCode() {
		return levelCode;
	}

	public void setLevelCode(String levelCode) {
		this.levelCode = levelCode;
	}

	public String getParentUnitCode() {
		return parentUnitCode;
	}

	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}

	public String getUnitCode() {
		return unitCode;
	}

	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getAddress1() {
		return address1;
	}

	public void setAddress1(String address1) {
		this.address1 = address1;
	}

	public String getAddress2() {
		return address2;
	}

	public void setAddress2(String address2) {
		this.address2 = address2;
	}

	public String getAddress3() {
		return address3;
	}

	public void setAddress3(String address3) {
		this.address3 = address3;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public Integer getPincode() {
		return pincode;
	}

	public void setPincode(Integer pincode) {
		this.pincode = pincode;
	}

	public String getDistrict() {
		return district;
	}

	public void setDistrict(String district) {
		this.district = district;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getContactPerson() {
		return contactPerson;
	}

	public void setContactPerson(String contactPerson) {
		this.contactPerson = contactPerson;
	}

	public String getLandline1() {
		return landline1;
	}

	public void setLandline1(String landline1) {
		this.landline1 = landline1;
	}

	public String getLandline2() {
		return landline2;
	}

	public void setLandline2(String landline2) {
		this.landline2 = landline2;
	}

	public String getMobile1() {
		return mobile1;
	}

	public void setMobile1(String mobile1) {
		this.mobile1 = mobile1;
	}

	public String getMobile2() {
		return mobile2;
	}

	public void setMobile2(String mobile2) {
		this.mobile2 = mobile2;
	}

	public String getMailid() {
		return mailid;
	}

	public void setMailid(String mailid) {
		this.mailid = mailid;
	}

	public String getuCriticality() {
		return uCriticality;
	}

	public void setuCriticality(String uCriticality) {
		this.uCriticality = uCriticality;
	}

	public String getUnitType() {
		return unitType;
	}

	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}

	public String getClassification() {
		return classification;
	}

	public void setClassification(String classification) {
		this.classification = classification;
	}

	public String getTypeOfEntity() {
		return typeOfEntity;
	}

	public void setTypeOfEntity(String typeOfEntity) {
		this.typeOfEntity = typeOfEntity;
	}

	public String getWeeklyHoliday() {
		return weeklyHoliday;
	}

	public void setWeeklyHoliday(String weeklyHoliday) {
		this.weeklyHoliday = weeklyHoliday;
	}

	public String getFortnightlyHoliday() {
		return fortnightlyHoliday;
	}

	public void setFortnightlyHoliday(String fortnightlyHoliday) {
		this.fortnightlyHoliday = fortnightlyHoliday;
	}

	public Date getUnitOpenDate() {
		return unitOpenDate;
	}

	public void setUnitOpenDate(Date unitOpenDate) {
		this.unitOpenDate = unitOpenDate;
	}

	public String getUnitHeadUser() {
		return unitHeadUser;
	}

	public void setUnitHeadUser(String unitHeadUser) {
		this.unitHeadUser = unitHeadUser;
	}

	public Date getUnitHeadInceptionDate() {
		return unitHeadInceptionDate;
	}

	public void setUnitHeadInceptionDate(Date unitHeadInceptionDate) {
		this.unitHeadInceptionDate = unitHeadInceptionDate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}		
	
}
